Core - Bug # 55551

Task # 49162 (Resolved): Rewrite install tool

Status: Resolved Priority: Should have
Author: Andreas Wolf Category: Install Tool
Created: 2014-02-01 Assigned To: Andreas Wolf
Updated: 2014-02-23 Due date:

TYPO3 Version: 6.2

PHP Version:

Complexity:

Is Regression: No

Sprint Focus:

Subject: Install tool complains about trailing slash in typo3_src link

Description

According to http://unix.stackexchange.com/questions/1910/how-linux-handles-multiple-path-separators-home-username-file, a trailing

slash in a path does not matter, so the install tool should also not complain here.

Associated revisions

Revision 7b77f282 - 2014-02-23 11:27 - Andreas Wolf

[BUGFIX] Installer rejects traling slash in link target

When having e.g. the link for ““typo3/" pointing to

“typo3_src/typo3/ ", the install tool complains because the trailing

slash is not expected. This slash is however perfectly ok, as there is

no difference between typo3_src/typo3 and typo3_src/typo3/ — both point
to the same "file" (i.e. node in the filesystem structure).

This patch strips trailing slashes from the actual link target before
doing the check, so no change to existing configuration is necessary.

Change-Id: Ibcb2118a2bb8fcf004470f12949824576ad4d1ec
Resolves: #55551
Releases: 6.2

Reviewed-on: https://review.typo3.0rg/27229

Reviewed-by: Benjamin Mack
Reviewed-by: Christian Kuhn
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Stefan Neufeind
Tested-by: Stefan Neufeind

History

#1 - 2014-02-01 13:21 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/27229
#2 - 2014-02-01 15:46 - Christian Kuhn
- Parent task set to #49162

#3 - 2014-02-23 11:30 - Andreas Wolf
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:7b77f28248ed4497061f8ffd49fd75dc130de044.
